commit 6c3d3f15200601f46503f4b3f9ce04c403fcde56
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Oct 9 02:18:01 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 202e0fefcba..352475cf0bb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211008
+20211009
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 585e4455efb..14b80f7f263 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2021-10-08  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-10-08  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/102640
+	* parser.c (handle_omp_declare_target_clause): New function.
+	(cp_parser_omp_declare_target): Use it.
+
 2021-10-07  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 1318fd9bf47..72fcb74d7b6 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-10-08  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-10-08  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/102640
+	* c-c++-common/gomp/pr102640.c: New test.
+
 2021-10-07  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

